///////////////////////////////////////////////////////////////////////////////
//
// File      : Tools_File_Wrapper.h
// Author    : Philip Hall
// Created   : 03/10/2007
//
// Copyright (C) 2007 Rebellion. All Rights Reserved
//
///////////////////////////////////////////////////////////////////////////////

#if !defined  __TOOLS_FILE_WRAPPER_H__
#define __TOOLS_FILE_WRAPPER_H__

#include "Core/Asura_PlatformBasics.h"

////PGH/////////////////////////////////////////
// PC Windows API file wrapper
////////////////////////////////////////////////
class Tools_File_Wrapper
{
public:
	Tools_File_Wrapper();
	~Tools_File_Wrapper();

	bool   Open(const char* szFilename, bool bReadOnly);
	bool   Create(const char* szFilename, bool bOverwrite);
	u_int  Read(void* pBuffer, u_int uBufferSize);
	u_int  Write(void* pBuffer, u_int uBufferSize);
	void   Close();
	u_int  FileSize() const;

public:
	HANDLE m_xHandle;
};


#endif


